Can't compile spine 1.1.6

Post support questions that directly relate to Linux/Unix operating systems.

Moderators: Moderators, Developers

Post Reply
Author
Message
zuku
Posts: 8
Joined: Thu Jun 09, 2016 2:11 am

Can't compile spine 1.1.6

#1 Post by zuku » Sat May 13, 2017 2:22 pm

Hello,
I'm trying to update my cacti 8.8. to 1.1.6, cacti upgrade went smooth, but with spine I have this problem:

Code: Select all

[21:07:54][root]@[cacti]:[/home/cacti-spine-1.1.6]# ./configure
checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... no
checking for mawk... mawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking for gawk... (cached) mawk
checking for gcc... gcc
checking whether the C compiler works... no
configure: error: in `/home/cacti-spine-1.1.6':
configure: error: C compiler cannot create executables
See `config.log' for more details
config.log:
https://pastebin.com/ZuuWTiy7

I have build-essential installed.
OS - Debian 8.8

zuku
Posts: 8
Joined: Thu Jun 09, 2016 2:11 am

Re: Can't compile spine 1.1.6

#2 Post by zuku » Sun May 14, 2017 3:13 am

I've made some progres, but on make I have now:

Code: Select all

[10:15:02][root]@[cacti]:[/home/cacti-spine-1.1.6]# make
gcc -DHAVE_CONFIG_H -I. -I./config     -I/usr/include/mysql -g -O2 -MT sql.o -MD -MP -MF .deps/sql.Tpo -c -o sql.o sql.c
mv -f .deps/sql.Tpo .deps/sql.Po
gcc -DHAVE_CONFIG_H -I. -I./config     -I/usr/include/mysql -g -O2 -MT spine.o -MD -MP -MF .deps/spine.Tpo -c -o spine.o spine.c
mv -f .deps/spine.Tpo .deps/spine.Po
gcc -DHAVE_CONFIG_H -I. -I./config     -I/usr/include/mysql -g -O2 -MT util.o -MD -MP -MF .deps/util.Tpo -c -o util.o util.c
mv -f .deps/util.Tpo .deps/util.Po
gcc -DHAVE_CONFIG_H -I. -I./config     -I/usr/include/mysql -g -O2 -MT snmp.o -MD -MP -MF .deps/snmp.Tpo -c -o snmp.o snmp.c
mv -f .deps/snmp.Tpo .deps/snmp.Po
gcc -DHAVE_CONFIG_H -I. -I./config     -I/usr/include/mysql -g -O2 -MT locks.o -MD -MP -MF .deps/locks.Tpo -c -o locks.o locks.c
mv -f .deps/locks.Tpo .deps/locks.Po
gcc -DHAVE_CONFIG_H -I. -I./config     -I/usr/include/mysql -g -O2 -MT poller.o -MD -MP -MF .deps/poller.Tpo -c -o poller.o poller.c
mv -f .deps/poller.Tpo .deps/poller.Po
gcc -DHAVE_CONFIG_H -I. -I./config     -I/usr/include/mysql -g -O2 -MT nft_popen.o -MD -MP -MF .deps/nft_popen.Tpo -c -o nft_popen.o nft_popen.c
mv -f .deps/nft_popen.Tpo .deps/nft_popen.Po
gcc -DHAVE_CONFIG_H -I. -I./config     -I/usr/include/mysql -g -O2 -MT php.o -MD -MP -MF .deps/php.Tpo -c -o php.o php.c
mv -f .deps/php.Tpo .deps/php.Po
gcc -DHAVE_CONFIG_H -I. -I./config     -I/usr/include/mysql -g -O2 -MT ping.o -MD -MP -MF .deps/ping.Tpo -c -o ping.o ping.c
mv -f .deps/ping.Tpo .deps/ping.Po
gcc -DHAVE_CONFIG_H -I. -I./config     -I/usr/include/mysql -g -O2 -MT keywords.o -MD -MP -MF .deps/keywords.Tpo -c -o keywords.o keywords.c
mv -f .deps/keywords.Tpo .deps/keywords.Po
gcc -DHAVE_CONFIG_H -I. -I./config     -I/usr/include/mysql -g -O2 -MT error.o -MD -MP -MF .deps/error.Tpo -c -o error.o error.c
mv -f .deps/error.Tpo .deps/error.Po
/bin/bash ./libtool  --tag=CC   --mode=link gcc  -I/usr/include/mysql -g -O2  -lpthread -lssl -lm  -o spine sql.o spine.o util.o snmp.o locks.o poller.o nft_popen.o php.o ping.o keywords.o error.o  -lnetsnmp -lmysqlclient -lcrypto -lz -lpthread -lm
libtool: link: gcc -I/usr/include/mysql -g -O2 -o spine sql.o spine.o util.o snmp.o locks.o poller.o nft_popen.o php.o ping.o keywords.o error.o  -lssl /usr/local/lib/libnetsnmp.so -lmysqlclient -lcrypto -lz -lpthread -lm
/usr/bin/help2man --output=spine.1 --name='Data Collector for Cacti' --no-info --version-option='--version' ./spine

help2man and net-snmp-5.7.3.tar.gz packages are installed, do I need any other package?

User avatar
Osiris
Cacti Pro User
Posts: 888
Joined: Mon Jan 05, 2015 10:10 am

Re: Can't compile spine 1.1.6

#3 Post by Osiris » Mon May 15, 2017 1:20 am

Looks to me like it compiled just fine.
Before history, there was a paradise, now dust.

Post Reply